package com.hungraim.ltc.pojo.entity.account;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_DISAB_ACCOUNTS
 * @author zhangch
 */
@Data
@TableName("CH_DISAB_ACCOUNTS")
@KeySequence("SEQ_CH_DISAB_ACCOUNTS")
public class ChDisabAccounts implements Serializable {
    /**
     * 结算id
     */
    @TableId(value = "ACCOUNTS_ID", type = IdType.INPUT)
    private Long accountsId;

    /**
     * 护理机构id
     */
    private Long srvOrganId;

    /**
     * 实拨总费用
     */
    private String totalAllocatedExpenses;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date creationTime;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;

    /**
     * 应拨总费用
     */
    private String totalExpensesPayable;

    /**
     * 是否结算(0未结算，1已结算)
     */
    private Short chooseSettle;

    /**
     * 状态（0-待提交；1-待审核；2-已审核；3-已失效；）
     */
    private Short accountsStatus;

    /**
     * 审核人姓名
     */
    private String checkName;

    /**
     * 审核备注
     */
    private String checkRemark;

    private static final long serialVersionUID = 1L;
}