package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_APR_ORGAN
 *
 * @author
 */
@Data
@TableName("CH_APR_ORGAN")
@KeySequence("SEQ_CH_APR_ORGAN")
public class ChAprOrgan implements Serializable {
    /**
     * 鉴定机构id
     */
    @TableId(type = IdType.INPUT)
    private Long aprOrganId;

    /**
     * 鉴定机构代码
     */
    private String organCode;

    /**
     * 鉴定机构名称
     */
    private String organName;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 适用机构ID
     */
    private String organId;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 登记号
     */
    private String permitNo;

    /**
     * 服务配置模式ID
     */
    private Long cfgModeId;

    /**
     * 鉴定机构类型ID
     */
    private Long organTypeId;

    /**
     * 鉴定机构类型名称
     */
    private String organTypeName;

    /**
     * 接受鉴定省
     */
    private String acptProvincial;

    /**
     * 接受鉴定市
     */
    private String acptCity;

    /**
     * 接受鉴定区
     */
    private String acptArea;

    /**
     * 接受鉴定街道
     */
    private String acptStreet;

    /**
     * 接受鉴定详细地址
     */
    private String acptAddress;

    /**
     * 联系人
     */
    private String linkName;

    /**
     * 联系电话
     */
    private String linkTel;

    private Short dataFrom;

    /**
     * 状态 有效：0,作废：1
     */
    private Short status;

    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    /**
     * 银行账户名称
     */
    private String accName;

    /**
     * 银行开户行名称
     */
    private String bankAccName;

    /**
     * 银行账号
     */
    private String bankNo;

    /**
     * 联系人邮箱
     */
    private String linkMail;

    /**
     * 评定起点地址id
     */
    private Long groupDetailId;

    /**
     * 接受鉴定地址经度
     */
    private String acptLongitude;

    /**
     * 接受鉴定地址纬度
     */
    private String acptLatitude;

    /**
     * 接受鉴定路街
     */
    private String acptRoadDetail;

    /**
     * 接受鉴定路/街 （0路，1街，2村）
     */
    private Short acptRoadType;

    /**
     * 接受鉴定号弄
     */
    private String acptNumberDetail;

    /**
     * 接受鉴定号/弄 （0弄，1号）
     */
    private Short acptNumberType;

    /**
     * 银行开户名称代码
     */
    private String bankAccCode;

    /**
     * 账号所属省
     */
    private String bankDistrictProvincial;

    /**
     * 账号所属市
     */
    private String bankDistrictCity;

    /**
     * 账号所属网点
     */
    private String bankDistrictWebsite;

    /**
     * 卡类型
     */
    private Long cardType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 审核人姓名（长护）
     */
    private String checkNameCh;

    /**
     * 审核备注（长护）
     */
    private String checkRemarkCh;

    /**
     * 审核时间（长护）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTimeCh;

    /**
     * 审核状态（长护 待审核:0,审核中：1，审核通过:2,审核不通过:3）
     */
    private Short checkStatusCh;

    /**
     * 审核人姓名（理赔）
     */
    private String checkNameLp;

    /**
     * 审核备注（理赔）
     */
    private String checkRemarkLp;

    /**
     * 审核时间（理赔）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTimeLp;

    /**
     * 审核状态（理赔 待审核:0,审核中：1，审核通过:2,审核不通过:3）
     */
    private Short checkStatusLp;

    private static final long serialVersionUID = 1L;
}
