package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 失能审核信息详情VO
 */
@Data
public class DisableUpdateDetailVO {
    // 变更id
    private Integer changeId;
    // 失能人员信息id
    private Integer disabInfoId;
//    // 失能人员id
//    private Long applyId;
    //***失能人员个人信息
    //机构
    private String organId;
    private String organName;
    //所在省市
    private String districtProvince;
    private String districtCity;
    private String districtArea;
    //申请人姓名
    private String realName;
    //身份证号码
    private String certifNum;
    //出生年月日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date birthday;
    //性别
    private String gender;
    //手机
    private String tel;
    //所在户籍
    private Integer regist;
    //固话
    private String fixedTel;
    //待遇类型
    private String treatmentType;
    //接受评定地址
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptDetail;
    //接受服务地址
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvAddress;
    //接受服务地址类型(现在址：0,护理机构地址：1,其他：2,接受评定地址：3)
    private Integer acptSrvType;
    //现住址
    private String addressProvincial;
    private String addressCity;
    private String addressArea;
    private String addressStreet;
    private String addressDetail;
    //现住址类型(0：接受评定地址；1：接受服务地址；2：其他)
    private Integer addressType;

    //***代办人信息
    //姓名
    private String operName;
    //身份证号码
    private String operCertiNum;
    //手机
    private String operTel;
    //与失能人员关系
    private Integer operRelation;

    //现住址
    private String operProvincial;
    private String operCity;
    private String operArea;
    private String operStreet;
    private String operAddress;


    //***审核结果
    //审核人
    private String checkName;
    //状态（未提交:0;待审核:1;审核通过:2;不通过：3;删除:4;撤销:5）
    private Short applyStatus;
    //备注
    private String checkRemark;
    // 复评原因
    private String reasonsReview;
    // 复评备注
    private String reasonsRemark;
    /**
     * 数据来源（网厅：0，核心：1）
     */
    private Integer dataFrom;

    /**
     * 变更原因说明
     */
    private String changeReason;

    // 附件列表
    private List<ChFndAttach> fileDataList;
}
