package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChCfgSrvDisableLevel;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvOrganProject;
import com.hungraim.ltc.pojo.vo.disable.SrvModeVo;
import com.hungraim.ltc.pojo.vo.governance.OrganProjectVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface NursingServiceItemsService {

    Page<OrganProjectVO> organProjectList(Page<OrganProjectVO> page, String organIds, String name, String status);

    void organProjectConfig(ChSrvOrganProject project);

    void disableLevelConfig(String disableLevelId, String disableLevelName, Short disableLevelStartValue, Short disableLevelEndValue, String disableLevelRemark);

    void modeConfig(String modeId, String modeName, String modeRemark);

    List<ChCfgSrvDisableLevel> disableLevelConfigList();

    List<SrvModeVo> modeConfigList();

    /**
     * 删除对应失能等级数据
     *
     * @param disableLevelId 失能等级id
     */
    void delectDisableLevel(Long disableLevelId);

    /**
     * 删除服务方式数据
     *
     * @param modeId 服务方式id
     * @return 返回执行结果
     */
    void deleteSrvModel(Long modeId);
}
